Package org.eclipse.emf.spi.cdo

# Enum Class DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy

java.lang.Object
java.lang.Enum<DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy>
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy>`, `Constable`

Enclosing class:
  `DefaultCDOMerger.PerFeature.ManyValued`

public static enum DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy extends Enum<DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy>
Immutable policy for hard uniqueness collisions between distinct surviving occurrences.

Since:
  4.30
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COALESCE`
Coalesce values while combining every compatible effective semantic intent.
`FAIL`
Report the uniqueness collision as a merge conflict.
`PREFER_SOURCE`
Prefer a source-origin occurrence when one is available in the duplicate class.
`PREFER_TARGET`
Prefer a target-origin occurrence when one is available in the duplicate class.

## Method Summary

Modifier and Type
Method
Description
`static DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COALESCE

public static final DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy COALESCE
Coalesce values while combining every compatible effective semantic intent.

### PREFER_SOURCE

public static final DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy PREFER_SOURCE
Prefer a source-origin occurrence when one is available in the duplicate class.

### PREFER_TARGET

public static final DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy PREFER_TARGET
Prefer a target-origin occurrence when one is available in the duplicate class.

### FAIL

public static final DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy FAIL
Report the uniqueness collision as a merge conflict.

## Method Details

### values

public static DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null